Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.framework
Interface Status

All Known Implementing Classes:
  AbstractFormatter, Browsers, CocoonCache, DCPProcessor, DummyProducer, LdapProcessor, LinkEncodingProcessor, MemoryStore, NoCache, ProducerFromFile, Profiler, Router, ServletLogger, SQLProcessor, StdioLogger, SunXMLParser, XalanTransformer, XercesParser, XSLTProcessor, XSPProcessor, XTTransformer, XIncludeProcessor

public interface Status

This interface must be implemented by all those classes that are queried for their status at runtime.

Version:
  $Revision: 1.4 $ $Date: 2000/02/13 18:29:22 $
Author:
  Stefano Mazzocchi

Method Summary
`java.lang.String` | `getStatus()` Returns information about the status of the implementing class.

Method Detail

### getStatus

    public java.lang.String getStatus()

  Returns information about the status of the implementing class. Note: this is use instead of the usual `toString()` method because some of these methods are declared final in some classes in JDK 1.1.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.